# nc_password_client

Command line client (CLI) for the Nextcloud Passwords app.
Manage your password and import them from [Password Store](https://www.passwordstore.org/).

## Requirements

See requirements.txt

## Installation

### Linux

To install for example in your ~/.local/bin folder:
```bash
./install.sh --destination ~/.local/bin
```

To install system-wide:
```bash
sudo ./install.sh --destination /usr/local/bin
```

Change your configuration file in "${HOME}/.config/nc_password_client.conf" (see the example in the config folder).

## Usage

  ```bash
Usage: nc_password_client.sh [OPTIONS] COMMAND [ARGS]...

  Client function to pass context

Options:
  -d, --debug-level [CRITICAL|ERROR|WARNING|INFO|DEBUG|NOTSET]
                                  Set the debug level for the standard output.
  -l, --log-file TEXT             File to store all debug messages.
  -H, --host TEXT                 Nextcloud host name  [required]
  -u, --user TEXT                 Nextcloud user name  [required]
  -a, --api-token TEXT            Nextcloud user's application token
                                  [required]
  -p, --cse-password TEXT         Nextcloud user's end-to-end encryption
                                  password
  -t, --timeout INTEGER           Timeout for HTTPS requests
  -c, --cache-duration INTEGER    Number of seconds to hold the list of
                                  passwords
  -P, --https-proxy TEXT          HTTPS proxy to use to connect to the
                                  Nextcloud instance
  --config FILE                   Read configuration from FILE.
  --help                          Show this message and exit.

Commands:
  create-password          Create a password
  create-passwords-folder  Create a password folder
  delete-all-passwords     Delete all passwords
  delete-password          Delete a password
  delete-passwords-folder  Delete a password folder
  list-passwords-folders   List all password folders
  ls                       List all password
  migrate-pass             Migrate Password Store passwords to Nextcloud...
  remove-duplicates        Remove duplicate passwords
  show                     Show a single password
```
